package cn.quantgroup.xyqb.util;

/**
 * Created by hechao on 2017/8/28.
 */
public interface IdentitySequencer {
    /**
     * 得到下一个唯一ID
     * @return
     */
    long nextId();

    /**
     * 得到下一个唯一ID
     * @param flake 片值
     * @return
     */
    long nextId(long flake);

    /**
     * 得到节点ID
     * @return
     */
    long workerId();
}